田草博客





网友交流群:11740834 需注明申请加入原因

邮箱:tiancao1001x126.com
日志首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范

评论列表

所有评论
[1] [2] [3] [4] [5] [6] [7] [8] [9] [10]  ... [137]  
majunlele 于 2017-10-18 05:41 PM 发表评论:
majunlele@163.com  分享一下 谢谢
查看所评论的日志:岩土工程勘察规范.DGJ32/TJ208-2016.pdf
masanbao123 于 2017-09-19 12:10 AM 发表评论:
您好 看不到 我的邮箱287664032@qq.con 谢谢!
查看所评论的日志:装配整体式混凝土剪力墙结构技术规程.DGJ32/TJ125-2016.pdf
masanbao123 于 2017-09-19 12:08 AM 发表评论:
装配整体式混凝土剪力墙结构技术规程.DGJ32/TJ125-2016.pdf  看不到文件
查看所评论的日志:装配整体式混凝土剪力墙结构技术规程.DGJ32/TJ125-2016.pdf
homemisha 于 2017-09-16 09:55 PM 发表评论:
看不到啊,亲
查看所评论的日志:判断点是否在多边形内部
jg127 于 2017-08-06 09:29 PM 发表评论:
好好好
查看所评论的日志:剧场建筑设计规范.JGJ57-2016.PDF
lch123 于 2017-08-01 12:06 AM 发表评论:
289305673@qq.com 麻烦楼主把三个打包发给我一下,谢谢
查看所评论的日志:装配式混凝土建筑技术标准.GB/T51231-2016.pdf
tiancao1001 于 2017-07-04 06:44 PM 发表评论:
Private Sub insertimage(fname As String, bname As String, pt As Point3d, rot As Double, xx As Double, yy As Double)
    Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.LockDocument()
    Dim doc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
    Using db As Database = doc.Database
        Using tm As Transaction = db.TransactionManager.StartTransaction()
            Try
                Dim imageDictID As ObjectId = RasterImageDef.GetImageDictionary(db)
                If imageDictID.OldId = 0 Then
                    imageDictID = RasterImageDef.CreateImageDictionary(db)
                End If
                Dim rasterImageDef__1 As New RasterImageDef()
                Dim imageDict As DBDictionary = CType(tm.GetObject(imageDictID, OpenMode.ForWrite), DBDictionary)
                Dim rasterImageDefID As ObjectId
                If imageDict.Contains(bname) Then
                    rasterImageDefID = imageDict.GetAt(bname)
                    rasterImageDef__1 = CType(tm.GetObject(rasterImageDefID, OpenMode.ForWrite), RasterImageDef)
                Else
                    rasterImageDefID = imageDict.SetAt(bname, rasterImageDef__1)
                    rasterImageDef__1.SourceFileName = fname
                    rasterImageDef__1.Load()
                    rasterImageDef__1.ImageModified = True
                    rasterImageDef__1.ResolutionUnits = Unit.Millimeter
                    tm.AddNewlyCreatedDBObject(rasterImageDef__1, True)
                End If
                Dim rasterImage As New RasterImage()
                rasterImage.ImageDefId = rasterImageDef__1.ObjectId
                rasterImage.Orientation = New CoordinateSystem3d(pt, New Vector3d(xx, 0, 0), New Vector3d(0, yy, 0))
                rasterImage.Rotation = (rot * pi) / 180
                Dim bt As BlockTable = CType(tm.GetObject(doc.Database.BlockTableId, OpenMode.ForRead, False), BlockTable)
                Dim btr As BlockTableRecord = CType(tm.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForWrite, False), BlockTableRecord)
                btr.AppendEntity(rasterImage)
                tm.AddNewlyCreatedDBObject(rasterImage, True)
                tm.Commit()
                tm.Dispose()
            Catch e As System.Exception
                System.Windows.Forms.MessageBox.Show(e.ToString())
            End Try
        End Using
    End Using
End Sub

查看所评论的日志:请教 ,能通过.net 将剪切板中的BMP图像直接以OLE方式插入CAD吗
tiancao1001 于 2017-07-04 06:34 PM 发表评论:
ThisDrawing.ModelSpace.AddRaster(ImageFileName, InsertPoint, ScaleFactor, RotAngle)
查看所评论的日志:请教 ,能通过.net 将剪切板中的BMP图像直接以OLE方式插入CAD吗
[1] [2] [3] [4] [5] [6] [7] [8] [9] [10]  ... [137]  
版权所有:田草博客
tiancao1001&126.com网友交流QQ群:11740834
Powered by L-Blog V1.08 (SE) Final© 2007-2009